org.apache.storm.generated

## Class ComponentAggregateStats

- java.lang.Object
- - org.apache.storm.generated.ComponentAggregateStats

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<ComponentAggregateStats>, org.apache.storm.thrift.TBase<ComponentAggregateStats,ComponentAggregateStats._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class ComponentAggregateStats
      extends Object
      implements org.apache.storm.thrift.TBase<ComponentAggregateStats,ComponentAggregateStats._Fields>, Serializable, Cloneable, Comparable<ComponentAggregateStats>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ComponentAggregateStats._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<ComponentAggregateStats._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentAggregateStats()`
    `ComponentAggregateStats(ComponentAggregateStats other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(ComponentAggregateStats other)`
    `ComponentAggregateStats` | `deepCopy()`
    `boolean` | `equals(ComponentAggregateStats that)`
    `boolean` | `equals(Object that)`
    `ComponentAggregateStats._Fields` | `fieldForId(int fieldId)`
    `CommonAggregateStats` | `get_common_stats()`
    `ErrorInfo` | `get_last_error()`
    `SpecificAggregateStats` | `get_specific_stats()`
    `ComponentType` | `get_type()`
    `Object` | `getFieldValue(ComponentAggregateStats._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_common_stats()` Returns true if field common_stats is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_last_error()` Returns true if field last_error is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_specific_stats()` Returns true if field specific_stats is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_type()` Returns true if field type is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(ComponentAggregateStats._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_common_stats_isSet(boolean value)`
    `void` | `set_common_stats(CommonAggregateStats common_stats)`
    `void` | `set_last_error_isSet(boolean value)`
    `void` | `set_last_error(ErrorInfo last_error)`
    `void` | `set_specific_stats_isSet(boolean value)`
    `void` | `set_specific_stats(SpecificAggregateStats specific_stats)`
    `void` | `set_type_isSet(boolean value)`
    `void` | `set_type(ComponentType type)`
    `void` | `setFieldValue(ComponentAggregateStats._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_common_stats()`
    `void` | `unset_last_error()`
    `void` | `unset_specific_stats()`
    `void` | `unset_type()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<ComponentAggregateStats._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### ComponentAggregateStats

          public ComponentAggregateStats()

    - #### ComponentAggregateStats

          public ComponentAggregateStats(ComponentAggregateStats other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public ComponentAggregateStats deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<ComponentAggregateStats,ComponentAggregateStats._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<ComponentAggregateStats,ComponentAggregateStats._Fields>`

    - #### get_type

          public ComponentType get_type()

      See Also:
        `ComponentType`

    - #### set_type

          public void set_type(ComponentType type)

      See Also:
        `ComponentType`

    - #### unset_type

          public void unset_type()

    - #### is_set_type

          public boolean is_set_type()

      Returns true if field type is set (has been assigned a value) and false otherwise

    - #### set_type_isSet

          public void set_type_isSet(boolean value)

    - #### get_common_stats

          public CommonAggregateStats get_common_stats()

    - #### set_common_stats

          public void set_common_stats(CommonAggregateStats common_stats)

    - #### unset_common_stats

          public void unset_common_stats()

    - #### is_set_common_stats

          public boolean is_set_common_stats()

      Returns true if field common_stats is set (has been assigned a value) and false otherwise

    - #### set_common_stats_isSet

          public void set_common_stats_isSet(boolean value)

    - #### get_specific_stats

          public SpecificAggregateStats get_specific_stats()

    - #### set_specific_stats

          public void set_specific_stats(SpecificAggregateStats specific_stats)

    - #### unset_specific_stats

          public void unset_specific_stats()

    - #### is_set_specific_stats

          public boolean is_set_specific_stats()

      Returns true if field specific_stats is set (has been assigned a value) and false otherwise

    - #### set_specific_stats_isSet

          public void set_specific_stats_isSet(boolean value)

    - #### get_last_error

          public ErrorInfo get_last_error()

    - #### set_last_error

          public void set_last_error(ErrorInfo last_error)

    - #### unset_last_error

          public void unset_last_error()

    - #### is_set_last_error

          public boolean is_set_last_error()

      Returns true if field last_error is set (has been assigned a value) and false otherwise

    - #### set_last_error_isSet

          public void set_last_error_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(ComponentAggregateStats._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<ComponentAggregateStats,ComponentAggregateStats._Fields>`

    - #### getFieldValue

          public Object getFieldValue(ComponentAggregateStats._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<ComponentAggregateStats,ComponentAggregateStats._Fields>`

    - #### isSet

          public boolean isSet(ComponentAggregateStats._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<ComponentAggregateStats,ComponentAggregateStats._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(ComponentAggregateStats that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(ComponentAggregateStats other)

      Specified by:
        `compareTo` in interface `Comparable<ComponentAggregateStats>`

    - #### fieldForId

          public ComponentAggregateStats._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<ComponentAggregateStats,ComponentAggregateStats._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.